
Application: gvSIG desktop - gvSIG bugs #2746
Error saving a project: The type expected for CoordTrans.* is CRS and is org.gvsig.crs.Crs.
07/30/2014 05:39 AM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Francisco Díaz Carsí
Category: CRS
Target version: 2.1.0-2246-testing
Severity: Minor Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2239 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description
Steps in order to reproduce this bug:
    -  create a view and set its CRS as EPSG:3857;
    -  add an OSM layer (e.g. Mapnik) to the view;
    -  add vector layer to be reprojected on the fly using an EPSG transformation (even if the layer will not match with the OSM one, see
#2739);
    -  finally, save the project.

Result: an error occurs trying to save the project due to many persistence exceptions (see the gvSIG.log in attachment).

Related issues:
Duplicated by Application: gvSIG desktop - gvSIG bugs # 2788: Error saving a ... Closed 08/12/2014

History
#1 - 07/30/2014 06:30 AM - Antonio Falciano

In the third step, the EPSG transformation is not needed. For instance, the issue happens also with vector layer defined in WGS84.

#2 - 08/25/2014 03:24 AM - Álvaro Anguix
- Target version set to 2.1.0-2259-rc3
- Assignee set to Joaquín  del Cerro Murciano
- Category set to CRS

#3 - 09/03/2014 07:22 AM - Joaquín  del Cerro Murciano
- Duplicated by gvSIG bugs #2788: Error saving a project with at least one reprojected layer added

#4 - 09/04/2014 03:17 AM - Francisco Díaz Carsí
- Assignee changed from Joaquín  del Cerro Murciano to Francisco Díaz Carsí
- Status changed from New to In progress

#5 - 09/04/2014 08:49 AM - Francisco Díaz Carsí
- Status changed from In progress to Fixed

#6 - 09/08/2014 10:00 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2246-testing
#7 - 09/15/2014 03:33 AM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
gvSIG.log 381 KB 07/30/2014 Antonio Falciano
